curl --location --request POST 'http://messaging.greetai.co/api/invite' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"job_id": "unique_job_id",
"job_title": "Indian Sales Representative",
"job_description": "MarketStar is looking for an Inside Sales Representative to help support our newest client...",
"applicant_full_name": "Nika Shelia",
"applicant_email": "nshprimary@gmail.com"
}'
{
"scheduleLink": "https://app.greetai.com/schedule/#1234"
}
Endpoint Examples
Invite candidate
This endpoint invites candidate to the screening interview.
POST
/
api
/
invite
curl --location --request POST 'http://messaging.greetai.co/api/invite' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"job_id": "unique_job_id",
"job_title": "Indian Sales Representative",
"job_description": "MarketStar is looking for an Inside Sales Representative to help support our newest client...",
"applicant_full_name": "Nika Shelia",
"applicant_email": "nshprimary@gmail.com"
}'
{
"scheduleLink": "https://app.greetai.com/schedule/#1234"
}
Body
string
Unique identifier of a job. Ensures that the same job does not get recreated
on every request.
string
The job position name which the AI should use to conduct the screening.
string
A high-level job description that the AI should refer to for guidance during
the screening process. A detailed description is preferable.
string
The name of the candidate to be invited.
string
The email address of the candidate where the invitation link will be sent.
Response
string
URL where the candidate can schedule the screening interview.
curl --location --request POST 'http://messaging.greetai.co/api/invite' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"job_id": "unique_job_id",
"job_title": "Indian Sales Representative",
"job_description": "MarketStar is looking for an Inside Sales Representative to help support our newest client...",
"applicant_full_name": "Nika Shelia",
"applicant_email": "nshprimary@gmail.com"
}'
{
"scheduleLink": "https://app.greetai.com/schedule/#1234"
}